import java.text.NumberFormat;
import java.util.Scanner;
import static java.lang.System.out;

public class Room {
    private int guests;

    private double rate;

    private boolean smoking;

    private static NumberFormat currency = NumberFormat.getCurrencyInstance();

    public void readRoom(Scanner myScanner) {
        guests = myScanner.nextInt();
        rate = myScanner.nextDouble();
        smoking = myScanner.nextBoolean();
    }

    public void writeRoom() {
        out.print(guests);
        out.print("\t");
        out.print(currency.format(rate));
        out.print("\t");
        if (smoking) {
            out.println("yes");
        } else {
            out.println("no");
        }
    }
}
